#
# spec file for package racer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Michal Vyskocil, michal.vyskocil@opensuse.org
# Copyright (c) 2016 Kristoffer Gronlund, kgronlund@suse.com
# Copyright (c) 2017 Luke Jones, jones_ld@protonmail.com
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           racer
Version:        2.0.12
Release:        lp152.3.18
Summary:        Code completion for Rust
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/phildawes/racer

# See README.packager for instructions on generating
# the source archives
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.xz
Source2:        README.packager

BuildRequires:  cargo
BuildRequires:  git
BuildRequires:  rust
BuildRequires:  rust-std

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RACER = Rust Auto-Complete-er. A utility intended to provide Rust code completion for editors and IDEs. Maybe one day the 'er' bit will be exploring + refactoring or something.

%prep
%setup -q
%setup -q -D -T -a 1
mkdir cargo-home
cat >cargo-home/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'
[source.vendored-sources]
directory = './vendor'
EOF

%build
export CARGO_HOME=`pwd`/cargo-home/
cargo build --release %{?_smp_mflags}

%install
mkdir build
export CARGO_HOME=`pwd`/cargo-home/
cargo install --root=build
mkdir -p %{buildroot}%{_bindir}
install -Dm0755 build/bin/racer %{buildroot}%{_bindir}/racer

%files
%defattr(-,root,root)
%doc LICENSE-MIT README.md CHANGELOG.md
%{_bindir}/racer

%changelog
* Sun Nov 26 2017 jones_ld@protonmail.com
- Update to 2.0.12
  + Fix bug that broke completions in previous release
-  Version 2.0.11
    + Use rustup to find libstd path even when used as library
* Tue Sep  5 2017 luke.nukem.jones@gmail.com
- Update to version 2.0.10
    + Support resolving `use as` aliases declared in multi-element `use` statements #753
    + Provide suggestions for global paths in more cases #765
    + Suggestions imported via `use as` statements now return their in-scope alias as the match string #767
    + Add new commands for converting between points and coordinates in files #776
    + Return fewer duplicate suggestions #778
    + Handle cases where mod names and trait methods collide, such as `fmt` #781
- Version 2.0.9
    + Support completion after using try operator `?` #726
    + Find methods on cooked string literals #728
    + Fix bug caused by closure completions feature #734
    + Find static methods on enums #737
    + Find doc comments on named and indexed struct fields #739
    + Find `pub(restricted)` items #748
* Fri Jun  9 2017 luke.nukem.jones@gmail.com
-Update to v2.0.8
    + Fix bug finding definitions where impl contains bang #717
    + Find definition for closures #697
    + Resolve types for tuple struct fields #722
    + Resolve types for let patterns #724
    + Fix completions for reference fields #723
-Fixes from v2.0.7
    + Fix panic with macros called `impl*` #701
    + Relax semver specs
* Tue May  2 2017 luke.nukem.jones@gmail.com
- resolve Self (e.g. in-impl function calls like Self::myfunction())
- Fix stack overflow issue on unresolvable imports
* Fri Feb 10 2017 luke.nukem.jones@gmail.com
- Update to 2.0.5
  * No changlog provided by upstream
* Sun Jul  3 2016 kgronlund@suse.com
- Switch to packaging using cargo-vendor
* Wed Jun 29 2016 kgronlund@suse.com
- Initial packaging (version 1.2.5)
